<!--
Vue router does not support external links yet and will only append a url to its current root path.
You can/should replace the usage of this component when Vue Router supports external links by itself.
13.06.18
-->
<template>
  <component v-bind:is="linkProps(to)">
    <slot></slot>
  </component>
</template>

<script>
/* eslint-disable */
  export default {
    props: {
      to: {
        required: true
      },
      target: {
        default: '_self',
        required: false,
      },
    },
    methods: {
      linkProps(url) {
        if (!(typeof url === 'object') && url.match(/^(http(s)?|ftp):\/\//)) {
          return {
            is: 'a',
            href: url,
            target: this.target,
            rel: 'noopener',
          };
        }
        return {
          is: 'router-link',
          to: url,
        };
      },
    },
  };
</script>
